Bug 445103 - Allow build plugin to show terminal application output
Summary: Allow build plugin to show terminal application output
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-07 04:53 UTC by Thiago Sueto
Modified: 2022-10-04 14:25 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thiago Sueto 2021-11-07 04:53:55 UTC
I noticed the build plugin is lacking one thing:

* GUI applications show up fine
* Terminal applications do not show output

Given that external tools already work well with terminal tools as they can show their output in a pane, could we have the same thing for the build plugin? It should be handy for when developing any terminal tool, including QCoreApplication ones. This way it would be trivial to have a Run target to easily test terminal applications.
Comment 1 Kåre Särs 2021-11-08 20:13:15 UTC
Hi,

Thanks for the report. Unfortunately this would require a bit more work. The build plugin just reads the stdout and stderr of the application an does not do proper tty handling.

As a workaround if you do not need the console output, you could run the application in konsole:

konsole -e <your cmd>